VisualEditor: Image insertion dialog shows thumbnails twice in non-English context (possibly due to repeated results under File: and Datei:?)
Closed, ResolvedPublic

Description

Screenshot

Image dialog shows thumbnails twice, see screenshots.

Maybe 1 from local wiki and 1 from Commons, which are most of the times identical?


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz50158.
Raymond created this task.Via LegacyJun 25 2013, 7:43 AM
Raymond added a comment.Via ConduitJun 25 2013, 7:44 AM

Created attachment 12632
Screenshot

Attached:

TTO added a comment.Via ConduitJun 25 2013, 9:37 AM

I can't reproduce this in Forefix 21.

TTO added a comment.Via ConduitJun 25 2013, 9:49 AM

(In reply to comment #2)

I can't reproduce this in Forefix 21.

Oh, sorry, I see you were on frwiki. This doesn't happen on enwiki or mediawikiwiki, but I can reproduce it on frwiki and dewiki.

Perhaps VE doesn't know about localised names for the "File" namespace. That's just a guess.

rmoen added a comment.Via ConduitJul 10 2013, 11:33 PM

^^ You are correct. this is happening because we are getting results from both namespaces. File and Fichier in this case.

gerritbot added a comment.Via ConduitJul 11 2013, 5:12 PM

Change 73190 had a related patch set uploaded by Robmoen:
Normalize image titles in cache to prevent duplicates.

https://gerrit.wikimedia.org/r/73190

gerritbot added a comment.Via ConduitJul 11 2013, 9:37 PM

Change 73190 merged by jenkins-bot:
Normalize image titles in cache to prevent duplicates.

https://gerrit.wikimedia.org/r/73190

Jdforrester-WMF added a comment.Via ConduitJul 14 2013, 1:01 AM

This was fixed and deployed on Thursday.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.